Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.search.ui.text
Interface IFileMatchAdapter

public interface IFileMatchAdapter

This interface serves to map matches to `IFile` instances. Changes to those files are then tracked (via the platforms file buffer mechanism) and matches updated when changes are saved. Clients who want their match positions automatically updated should return an implementation of `IFileMatchAdapter` from the `getFileMatchAdapter()` method in their search result implementation. It is assumed that the match adapters are stateless, and no lifecycle management is provided.

Clients may implement this interface.

Since:
  3.0
See Also:
  `AbstractTextSearchResult`

Method Summary
`Match[]` | `computeContainedMatches(AbstractTextSearchResult result, IFile file)` Returns an array with all matches contained in the given file in the given search result.
`IFile` | `getFile(Object element)` Returns the file associated with the given element (usually the file the element is contained in).

Method Detail

### computeContainedMatches

    public Match[] computeContainedMatches(AbstractTextSearchResult result,
                                           IFile file)

  Returns an array with all matches contained in the given file in the given search result. If the matches are not contained within an `IFile`, this method must return an empty array.

  Parameters:
    `result` - the search result to find matches in
    `file` - the file to find matches in
  Returns:
    an array of matches (possibly empty)

### getFile

    public IFile getFile(Object element)

  Returns the file associated with the given element (usually the file the element is contained in). If the element is not associated with a file, this method should return `null`.

  Parameters:
    `element` - an element associated with a match
  Returns:
    the file associated with the element or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.